@echo off
SETLOCAL

echo.
echo =============================================
echo = ZLIB library                              =
echo =============================================

rmdir /S /Q zlib-1.2.11
del /F ..\RadarVolumeExplorer\lib\zlib.lib

7za.exe x -y zlib-1.2.11.tar.gz
7za.exe x -y zlib-1.2.11.tar
del /F zlib-1.2.11.tar

copy /Y zlib-1.2.11.pro .\zlib-1.2.11\
cd zlib-1.2.11

echo ===== Compiling ZLIB

qmake zlib-1.2.11.pro
nmake
if %ERRORLEVEL% neq 0 goto ERROR

cd ..

:ERROR
echo ===== Finished ZLIB
